# showToolbar()

Shows the application toolbar.

```javascript
sambaFrame.showToolbar();
```

**Sample use cases**:&#x20;

* You may want to hide the toolbar when user's cursor is outside the iframe and show the toolbar again when user's cursor is hovering over the iframe.
* If you have a picture-in-picture mode in your application, then you may want to hide the toolbar when you go into picture-in-picture and show the toolbar after you exit the picture-in-picture.

{% hint style="info" %}
**showToolbar** is often used in conjunction with the [hideToolbar](/reference/sdk/methods/hidetoolbar.md) method.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalsamba.com/reference/sdk/methods/showtoolbar.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
